datangraphics

## Class GraphicsWith2DScatterDiagram

- java.lang.Object
- - datangraphics.GraphicsWith2DScatterDiagram

-     public class GraphicsWith2DScatterDiagram
      extends java.lang.Object

  A class producing a graphics with a two-dimensional scatter diagram.
  Author:
    Siegmund Brandt.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GraphicsWith2DScatterDiagram(java.lang.String frametitle, java.lang.String filename, double[] x, double[] y, double xa, double xb, double ya, double yb, java.lang.String textX, java.lang.String textY, java.lang.String caption)` Produces a two-dimensional scatter diagram.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GraphicsWith2DScatterDiagram

          public GraphicsWith2DScatterDiagram(java.lang.String frametitle,
                                      java.lang.String filename,
                                      double[] x,
                                      double[] y,
                                      double xa,
                                      double xb,
                                      double ya,
                                      double yb,
                                      java.lang.String textX,
                                      java.lang.String textY,
                                      java.lang.String caption)

      Produces a two-dimensional scatter diagram.
      Parameters:
        `frametitle` - title of DatanGraphicsFrame; if frameTitle is blank the no DatanGraphicsFrame is initialized.
        `filename` - name of Postscript file - has to end with either ".ps" (for postscript) or ".eps" (for encapsulated postscript). If filename is blank, no file is initialized.
        `x` - x coordinates of points to be plotted
        `y` - y coordinates of points to be plotted
        `xa` - lower limit in x of computing coordinates
        `xb` - upper limit in x of computing coordinates
        `ya` - lower limit in y of computing coordinates
        `yb` - upper limit in y of computing coordinates
        `textX` - text for x axis
        `textY` - text for y axis
        `caption` - text for caption of plot